:root {
  --scrollBarThumb: hsl(0, 0%, 19%);
  --scrollBarThumbSelect: hsl(0, 0%, 14%);
  --scrollBarTrack: #1a1c22;
}

body {
  background-color: #252830;
  margin: 0px;
  padding: 8px;
}
.white,
.whitesingle {
  color: white;
}
.white * {
  color: white;
}
html {
  /* background-image: url(background.jpg); */
  font-family: Arial;
}
body * {
  animation: mainanimation 1s ease-in-out;
}

button,
input,
select {
  background-color: #1a1c22;
  border-radius: 4px;
  border-width: 1px;
  font-weight: bold;
  border-color: gray;
  margin: 5px;
}

button {
  transition: 0.5s;
  cursor: pointer;
}
button:hover {
  transition: 0.5s;
  transform: translateY(-5px);
}

/*Chrome*/
@media screen and (-webkit-min-device-pixel-ratio: 0) {
  input[type="range"] {
    overflow: hidden;
    width: 80px;
    -webkit-appearance: none;
    background-color: #9a905d;
  }

  input[type="range"]::-webkit-slider-runnable-track {
    height: 10px;
    -webkit-appearance: none;
    color: #13bba4;
    margin-top: -1px;
  }

  input[type="range"]::-webkit-slider-thumb {
    width: 10px;
    -webkit-appearance: none;
    height: 10px;
    cursor: ew-resize;
    background: #434343;
    box-shadow: -80px 0 0 80px #43e5f7;
  }
}

/** FF*/
input[type="range"]::-moz-range-progress {
  background-color: #43e5f7;
}
input[type="range"]::-moz-range-track {
  background-color: #9a905d;
}
/* IE*/
input[type="range"]::-ms-fill-lower {
  background-color: #43e5f7;
}
input[type="range"]::-ms-fill-upper {
  background-color: #9a905d;
}

input[type="color"] {
  padding: 0px;
  background-color: gray;
  box-sizing: initial;
}

input[type="text"]:hover,
input[type="text"]:focus {
  color: black;
}

input[type="checkbox"] {
  width: 25px;
  height: 25px;
}

button:hover,
input:hover,
input:focus {
  background-color: #1997c6;
}
.HomeButton {
  background-color: #1a1c22;
  width: 50px;
  height: 50px;
}

@keyframes mainanimation {
  0% {
    opacity: 0;
    transform: translateY(-10px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@font-face {
  font-family: "PressStart2P";
  src: URL("fonts/PressStart2P-Regular.ttf") format("truetype");
}

::-webkit-scrollbar {
  width: 1.6vw;
}

::-webkit-scrollbar-track {
  background-color: var(--scrollBarTrack);
}

::-webkit-scrollbar-thumb {
  background-color: var(--scrollBarThumb);
  border-radius: 50px;
  border-color: var(--scrollBarTrack);
  border-width: 2px;
  border-style: solid;
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--scrollBarThumbSelect);
}

@supports (scrollbar-color: var(--scrollBarThumb) var(--scrollBarTrack)) {
  * {
    scrollbar-color: var(--scrollBarThumb) var(--scrollBarTrack);
  }
}

.nav,
.popup {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 24px;
  text-align: left;
  padding-left: 20px;
  padding-right: 20px;
  background-color: #1a1c22;

  display: -webkit-flexbox;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  justify-content: left;
  transition: 0.5s;
}
.popup {
  height: 70px;
  background-color: #1a1c22;
}
.popup button {
  height: 50px;
  width: 50px;
}
.popup button:not(button:hover) {
  background-color: #08091c88;
}
.popup * {
  margin-right: 20px;
}
.nav:hover {
  height: 60px;
  transition: 1s;
}
.nav:hover img {
  height: 40px;
}
.nav *:hover {
  background-color: #2196f3;
  color: #ffffff;
  transition: 0.5s;
}
.nav * {
  color: #2196f3;
  width: max-content;
  cursor: pointer;
  padding: 5px;
  border-radius: 5px;
  transition: 0.5s;
  margin-right: 10px;
  height: 20px;

  user-select: none;

  display: inline-block;
  vertical-align: middle;
  line-height: normal;
}
#languageimage {
  margin-right: 30px;
  margin-left: auto;
}

br {
  user-select: none;
}

.all-copy {
  -webkit-user-select: all; /* Chrome all / Safari all */
  -moz-user-select: all; /* Firefox all */
  -ms-user-select: all; /* IE 10+ */
  user-select: all; /* Likely future */
}
